# Notes #
# Uninstall Does Not Require Admin
# Install May Require Admin
# Finding Installed Apps Requirs Admin

#Hide PowerShell Console#
Add-Type -Name Window -Namespace Console -MemberDefinition '
[DllImport("Kernel32.dll")]
public static extern IntPtr GetConsoleWindow();
[DllImport("user32.dll")]
public static extern bool ShowWindow(IntPtr hWnd, Int32 nCmdShow);
'
$consolePtr = [Console.Window]::GetConsoleWindow()
[Console.Window]::ShowWindow($consolePtr, 0)

#Press Keys#
$source = @"
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.InteropServices;
using System.Windows.Forms;
namespace KeyboardSend
{
    public class KeyboardSend
    {
        [DllImport("user32.dll")]
        public static extern void keybd_event(byte bVk, byte bScan, int dwFlags, int dwExtraInfo);
        private const int KEYEVENTF_EXTENDEDKEY = 1;
        private const int KEYEVENTF_KEYUP = 2;
        public static void KeyDown(Keys vKey)
        {
            keybd_event((byte)vKey, 0, KEYEVENTF_EXTENDEDKEY, 0);
        }
        public static void KeyUp(Keys vKey)
        {
            keybd_event((byte)vKey, 0, KEYEVENTF_EXTENDEDKEY | KEYEVENTF_KEYUP, 0);
        }
    }
}
"@

# Assemblies #
Add-Type -TypeDefinition $source -ReferencedAssemblies "System.Drawing"
Add-Type -TypeDefinition $source -ReferencedAssemblies "System.Windows.Forms"
# [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Drawing") 
# [void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms")  

# Folder Variables #
$IconsFolder = "" + $PSScriptRoot + "\icons\"

# :: Variables #
$BorderFixedSimple = [System.Windows.Forms.FormBorderStyle]::FixedSingle

$FlatButton = [System.Windows.Forms.FlatStyle]::Flat
$PopButton = [System.Windows.Forms.FlatStyle]::Standard

$ButtonApptartingCursor = [System.Windows.Forms.Cursors]::AppStarting
$ArrowCursor = [System.Windows.Forms.Cursors]::Arrow
$CrossCursor = [System.Windows.Forms.Cursors]::Cross
$DefaultCursor = [System.Windows.Forms.Cursors]::Default
$HandCursor = [System.Windows.Forms.Cursors]::Hand
$HelpCursor = [System.Windows.Forms.Cursors]::Help
$HSplitCursor = [System.Windows.Forms.Cursors]::HSplit
$IBeamCursor = [System.Windows.Forms.Cursors]::IBeam
$NoCursor = [System.Windows.Forms.Cursors]::No
$NoMove2DCursor = [System.Windows.Forms.Cursors]::NoMove2D
$NoMoveHorizCursor = [System.Windows.Forms.Cursors]::NoMoveHoriz
$NoMoveVertCursor = [System.Windows.Forms.Cursors]::NoMoveVert
$PanEastCursor = [System.Windows.Forms.Cursors]::PanEast
$PanNECursor = [System.Windows.Forms.Cursors]::PanNE
$PanNorthCursor = [System.Windows.Forms.Cursors]::PanNorth
$PanNWCursor = [System.Windows.Forms.Cursors]::PanNW
$PanSECursor = [System.Windows.Forms.Cursors]::PanSE
$PanSouthCursor = [System.Windows.Forms.Cursors]::PanSouth
$PanSWCursor = [System.Windows.Forms.Cursors]::PanSW
$PanWestCursor = [System.Windows.Forms.Cursors]::PanWest
$SizeAllCursor = [System.Windows.Forms.Cursors]::SizeAll
$SizeNESWCursor = [System.Windows.Forms.Cursors]::SizeNESW
$SizeNSCursor = [System.Windows.Forms.Cursors]::SizeNS
$SizeNWSECursor = [System.Windows.Forms.Cursors]::SizeNWSE
$SizeWECursor = [System.Windows.Forms.Cursors]::SizeWE
$UpArrowCursor = [System.Windows.Forms.Cursors]::UpArrow
$VSplitCursor = [System.Windows.Forms.Cursors]::VSplit
$WaitCursor = [System.Windows.Forms.Cursors]::WaitCursor

# Variables That Depend On Files #
$WSResetIcon = [system.drawing.icon]::ExtractAssociatedIcon("C:\Windows\System32\WSReset.exe")

$3DBuilder = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.3DBuilder.png")
$ButtonAppConnector = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.AppConnector.png")
$BingFinance = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingFinance.png")
$BingNews = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingNews.png")
$BingSports = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingSports.png")
$BingWeather = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.BingWeather.png")
$DesktopAppInstaller = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.DesktopAppInstaller.png")
$GetHelp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.GetHelp.png")
$GetStarted = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.GetStarted.png")
$Messaging = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Messaging.png")
$Microsoft3DViewer = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Microsoft3DViewer.png")
$MicrosoftHoloLens = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftHoloLens.png")
$MicrosoftOfficeHub = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftOfficeHub.png")
$MicrosoftSolitaireCollection = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftSolitaireCollection.png")
$MicrosoftStickyNotes = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MicrosoftStickyNotes.png")
$MixedRealityPortal = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MixedReality.Portal.png")
$MSPaint = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.MSPaint.png")
$OfficeOneNote = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Office.OneNote.png")
$OfficeSway = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Office.Sway.png")
$OneConnect = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.OneConnect.png")
$People = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.People.png")
$Print3D = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Print3D.png")
$RemoteDesktop = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.RemoteDesktop.png")
$ScreenSketch = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ScreenSketch.png")
$StorePurchaseApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.StorePurchaseApp.png")
$SkypeApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.SkypeApp.png")
$Wallet = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Wallet.png")
$WindowsAlarm = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsAlarms.png")
$WindowsCalculator = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCalculator.png")
$WindowsCamera = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCamera.png")
$WindowsCommunicationsApps = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps.png")
$WindowsCommunicationsApps_Calendar = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps_Calendar.png")
$WindowsCommunicationsApps_Mail = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsCommunicationsApps_Mail.png")
$WindowsFeedbackHub = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsFeedbackHub.png")
$WindowsMaps = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsMaps.png")
$WindowsPhotos = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.Windows.Photos.png")
$WindowsSoundRecorder = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsSoundRecorder.png")
$WindowsStore = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.WindowsStore.png")
$XboxApp = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.XboxApp.png")
$XboxGameOverlay = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.XboxGameOverlay.png")
$YourPhone = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.YourPhone.png")
$ZuneMusic = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ZuneMusic.png")
$ZuneVideo = [System.Drawing.Image]::FromFile($IconsFolder + "Microsoft.ZuneVideo.png")

$HEIFImageExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$MPEG2VideoExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$VP9VideoExtensions = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$WebMediaExtensions = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")
$WebpImageExtension = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")

$QuickAssist = [System.Drawing.Image]::FromFile($IconsFolder + "App.Support.QuickAssist.png")

$DefaultImage = [System.Drawing.Image]::FromFile($IconsFolder + "default.png")
$ExtensionsImage = [System.Drawing.Image]::FromFile($IconsFolder + "plugin.png")

# Objects #
$DefaultForm = New-Object System.Windows.Forms.Form
$DefaultGroupBox = New-Object System.Windows.Forms.GroupBox
# Button Cannot Be Added?

$DefaultFormSize = New-Object System.Drawing.Size(592,680)
$DefaultGroupBoxSize = New-Object System.Drawing.Size(576,640)
$DefaultDrawingSize = New-Object System.Drawing.Size(64,64)
$WideDrawingSize = New-Object System.Drawing.Size(128,64)

$R1C1 = New-Object System.Drawing.Size(0,0)
$R1C2 = New-Object System.Drawing.Size(64,0)
$R1C3 = New-Object System.Drawing.Size(128,0)
$R1C4 = New-Object System.Drawing.Size(192,0)
$R1C5 = New-Object System.Drawing.Size(256,0)
$R1C6 = New-Object System.Drawing.Size(320,0)
$R1C7 = New-Object System.Drawing.Size(384,0)
$R1C8 = New-Object System.Drawing.Size(448,0)
$R1C9 = New-Object System.Drawing.Size(512,0)

$R2C1 = New-Object System.Drawing.Size(0,64)
$R2C2 = New-Object System.Drawing.Size(64,64)
$R2C3 = New-Object System.Drawing.Size(128,64)
$R2C4 = New-Object System.Drawing.Size(192,64)
$R2C5 = New-Object System.Drawing.Size(256,64)
$R2C6 = New-Object System.Drawing.Size(320,64)
$R2C7 = New-Object System.Drawing.Size(384,64)
$R2C8 = New-Object System.Drawing.Size(448,64)
$R2C9 = New-Object System.Drawing.Size(512,64)

$R3C1 = New-Object System.Drawing.Size(0,128)
$R3C2 = New-Object System.Drawing.Size(64,128)
$R3C3 = New-Object System.Drawing.Size(128,128)
$R3C4 = New-Object System.Drawing.Size(192,128)
$R3C5 = New-Object System.Drawing.Size(256,128)
$R3C6 = New-Object System.Drawing.Size(320,128)
$R3C7 = New-Object System.Drawing.Size(384,128)
$R3C8 = New-Object System.Drawing.Size(448,128)
$R3C9 = New-Object System.Drawing.Size(512,128)

$R4C1 = New-Object System.Drawing.Size(0,192)
$R4C2 = New-Object System.Drawing.Size(64,192)
$R4C3 = New-Object System.Drawing.Size(128,192)
$R4C4 = New-Object System.Drawing.Size(192,192)
$R4C5 = New-Object System.Drawing.Size(256,192)
$R4C6 = New-Object System.Drawing.Size(320,192)
$R4C7 = New-Object System.Drawing.Size(384,192)
$R4C8 = New-Object System.Drawing.Size(448,192)
$R4C9 = New-Object System.Drawing.Size(512,192)

$R5C1 = New-Object System.Drawing.Size(0,256)
$R5C2 = New-Object System.Drawing.Size(64,256)
$R5C3 = New-Object System.Drawing.Size(128,256)
$R5C4 = New-Object System.Drawing.Size(192,256)
$R5C5 = New-Object System.Drawing.Size(256,256)
$R5C6 = New-Object System.Drawing.Size(320,256)
$R5C7 = New-Object System.Drawing.Size(384,256)
$R5C8 = New-Object System.Drawing.Size(448,256)
$R5C9 = New-Object System.Drawing.Size(512,256)

$R6C1 = New-Object System.Drawing.Size(0,320)
$R6C2 = New-Object System.Drawing.Size(64,320)
$R6C3 = New-Object System.Drawing.Size(128,320)
$R6C4 = New-Object System.Drawing.Size(192,320)
$R6C5 = New-Object System.Drawing.Size(256,320)
$R6C6 = New-Object System.Drawing.Size(320,320)
$R6C7 = New-Object System.Drawing.Size(384,320)
$R6C8 = New-Object System.Drawing.Size(448,320)
$R6C9 = New-Object System.Drawing.Size(512,320)

$R6hC1 = New-Object System.Drawing.Size(0,352)
$R6hC2 = New-Object System.Drawing.Size(64,352)
$R6hC3 = New-Object System.Drawing.Size(128,352)
$R6hC4 = New-Object System.Drawing.Size(192,352)
$R6hC5 = New-Object System.Drawing.Size(256,352)
$R6hC6 = New-Object System.Drawing.Size(320,352)
$R6hC7 = New-Object System.Drawing.Size(384,352)
$R6hC8 = New-Object System.Drawing.Size(448,352)
$R6hC9 = New-Object System.Drawing.Size(512,352)

$R7C1 = New-Object System.Drawing.Size(0,384)
$R7C2 = New-Object System.Drawing.Size(64,384)
$R7C3 = New-Object System.Drawing.Size(128,384)
$R7C4 = New-Object System.Drawing.Size(192,384)
$R7C5 = New-Object System.Drawing.Size(256,384)
$R7C6 = New-Object System.Drawing.Size(320,384)
$R7C7 = New-Object System.Drawing.Size(384,384)
$R7C8 = New-Object System.Drawing.Size(448,384)
$R7C9 = New-Object System.Drawing.Size(512,384)

$R7hC1 = New-Object System.Drawing.Size(0,416)
$R7hC2 = New-Object System.Drawing.Size(64,416)
$R7hC3 = New-Object System.Drawing.Size(128,416)
$R7hC4 = New-Object System.Drawing.Size(192,416)
$R7hC5 = New-Object System.Drawing.Size(256,416)
$R7hC6 = New-Object System.Drawing.Size(320,416)
$R7hC7 = New-Object System.Drawing.Size(384,416)
$R7hC8 = New-Object System.Drawing.Size(448,416)
$R7hC9 = New-Object System.Drawing.Size(512,416)

$R8C1 = New-Object System.Drawing.Size(0,448)
$R8C2 = New-Object System.Drawing.Size(64,448)
$R8C3 = New-Object System.Drawing.Size(128,448)
$R8C4 = New-Object System.Drawing.Size(192,448)
$R8C5 = New-Object System.Drawing.Size(256,448)
$R8C6 = New-Object System.Drawing.Size(320,448)
$R8C7 = New-Object System.Drawing.Size(384,448)
$R8C8 = New-Object System.Drawing.Size(448,448)
$R8C9 = New-Object System.Drawing.Size(512,448)

$R9C1 = New-Object System.Drawing.Size(0,512)
$R9C2 = New-Object System.Drawing.Size(64,512)
$R9C3 = New-Object System.Drawing.Size(128,512)
$R9C4 = New-Object System.Drawing.Size(192,512)
$R9C5 = New-Object System.Drawing.Size(256,512)
$R9C6 = New-Object System.Drawing.Size(320,512)
$R9C7 = New-Object System.Drawing.Size(384,512)
$R9C8 = New-Object System.Drawing.Size(448,512)
$R9C9 = New-Object System.Drawing.Size(512,512)

$R10C1 = New-Object System.Drawing.Size(0,576)
$R10C2 = New-Object System.Drawing.Size(64,576)
$R10C3 = New-Object System.Drawing.Size(128,576)
$R10C4 = New-Object System.Drawing.Size(192,576)
$R10C5 = New-Object System.Drawing.Size(256,576)
$R10C6 = New-Object System.Drawing.Size(320,576)
$R10C7 = New-Object System.Drawing.Size(384,576)
$R10C8 = New-Object System.Drawing.Size(448,576)
$R10C9 = New-Object System.Drawing.Size(512,576)



# Other Variables #
$DefaultFormText = "Windows 10 App Manager - Click An App To Toggle Installation - [By MarioMasta64]"
$BatchFileLocation = $PSScriptRoot + "\test.bat"



# Window Border #
$DefaultForm.FormBorderStyle = $BorderFixedSimple
# Window Position #
$DefaultForm.StartPosition = "CenterScreen" #loads the window in the center of the screen
# Window State #
$DefaultForm.WindowState = "Normal"
# Window Position #
$DefaultForm.Topmost = $true
# Window Position Not Eternal #
$DefaultForm.Topmost = $false
# Window Size #
$DefaultForm.Size = $DefaultFormSize
# Window Title #
$DefaultForm.Text = $DefaultFormText
# Window Icon #
$DefaultForm.Icon = $WSResetIcon

# Disable Closing Window #
$DefaultForm.Add_FormClosing({$_.Cancel=$True})
# Disable Minimize Window #
$DefaultForm.MinimizeBox = $False
# Disable Maximize Window #
$DefaultForm.MaximizeBox = $False
# Disable Resizing Window #
$DefaultForm.SizeGripStyle = "Hide"



# Functions #
# Get-AppxPackage | Select Name, PackageFullName >"$env:userprofile\Desktop\Apps_List.txt"

function CheckInstalledAppsForCurrentUser {
	del .\current.txt
	Get-AppxPackage | ft Name -AutoSize | Out-File -FilePath .\current.txt
}
function CheckInstalledAppsForAllUsers {
	del .\all.txt
	Get-AppxPackage -AllUsers | ft Name -AutoSize | Out-File -FilePath .\all.txt
}
function ReloadPowerShellFile { & $BatchFileLocation }
function OpenStartMenu { [KeyboardSend.KeyboardSend]::KeyDown("LWin"); [KeyboardSend.KeyboardSend]::KeyUp("LWin") }
function UninstallApp { $NameApp = $args[0]; Get-AppxPackage *$NameApp* | Remove-AppxPackage }
function ReinstallApp { $NameApp = $args[0]; Get-AppxPackage -AllUsers *$NameApp* | Foreach {Add-AppxPackage -DisableDevelopmentMode -Register "$($_.InstallLocation)\AppXManifest.xml"} }
function KillExplorer { & cmd /c `"taskkill /f /im explorer.exe`" }
function StartExplorer { & cmd /c `"start explorer.exe`" }



# App Data #
$LocationApp1 = $R1C1; $SizeApp1 = $DefaultDrawingSize; $ImageApp1 = $3DBuilder; $PatternApp1 = "3DBuilder"; $NameApp1 = "3D Builder"
$LocationApp2 = $R1C2; $SizeApp2 = $DefaultDrawingSize; $ImageApp2 = $WindowsAlarm; $PatternApp2 = "Alarm"; $NameApp2 = "Alarms && Clock"
$LocationApp3 = $R1C3; $SizeApp3 = $DefaultDrawingSize; $ImageApp3 = $DefaultImage; $PatternApp3 = "AppConnector"; $NameApp3 = "App Connector"
$LocationApp4 = $R1C4; $SizeApp4 = $DefaultDrawingSize; $ImageApp4 = $DesktopAppInstaller; $PatternApp4 = "AppInstaller"; $NameApp4 = "App Installer"
$LocationApp5 = $R1C5; $SizeApp5 = $WideDrawingSize; $ImageApp5 = $WindowsCommunicationsApps; $PatternApp5 = "CommunicationsApps"; $NameApp5 = "Calendar and Mail"
# $LocationApp6 = $R1C6; $SizeApp6 = $DefaultDrawingSize; $ImageApp6 = $DefaultImage; $PatternApp6 = ""; $NameApp6 = ""
$LocationApp7 = $R1C7; $SizeApp7 = $DefaultDrawingSize; $ImageApp7 = $WindowsCalculator; $PatternApp7 = "Calculator"; $NameApp7 = "Calculator"
$LocationApp8 = $R1C8; $SizeApp8 = $DefaultDrawingSize; $ImageApp8 = $WindowsCamera; $PatternApp8 = "Camera"; $NameApp8 = "Camera"
$LocationApp9 = $R1C9; $SizeApp9 = $DefaultDrawingSize; $ImageApp9 = $WindowsFeedbackHub; $PatternApp9 = "Feedback"; $NameApp9 = "Feedback Hub"
$LocationApp10 = $R2C1; $SizeApp10 = $DefaultDrawingSize; $ImageApp10 = $GetHelp; $PatternApp10 = "GetHelp"; $NameApp10 = "Get Help"
$LocationApp11 = $R2C2; $SizeApp11 = $DefaultDrawingSize; $ImageApp11 = $MicrosoftOfficeHub; $PatternApp11 = "OfficeHub"; $NameApp11 = "Office"
$LocationApp12 = $R2C3; $SizeApp12 = $DefaultDrawingSize; $ImageApp12 = $GetStarted; $PatternApp12 = "GetStarted"; $NameApp12 = "Get Started"
$LocationApp13 = $R2C4; $SizeApp13 = $DefaultDrawingSize; $ImageApp13 = $SkypeApp; $PatternApp13 = "SkypeApp"; $NameApp13 = "Get Skype"
$LocationApp14 = $R2C5; $SizeApp14 = $DefaultDrawingSize; $ImageApp14 = $ZuneMusic; $PatternApp14 = "ZuneMusic"; $NameApp14 = "Groove Music"
$LocationApp15 = $R2C6; $SizeApp15 = $DefaultDrawingSize; $ImageApp15 = $WindowsMaps; $PatternApp15 = "Maps"; $NameApp15 = "Maps"
$LocationApp16 = $R2C7; $SizeApp16 = $DefaultDrawingSize; $ImageApp16 = $Messaging; $PatternApp16 = "Messaging"; $NameApp16 = "Messaging and Skype Video"
$LocationApp17 = $R2C8; $SizeApp17 = $DefaultDrawingSize; $ImageApp17 = $MicrosoftSolitaireCollection; $PatternApp17 = "SolitaireCollection"; $NameApp17 = "Microsoft Solitaire Collection"
$LocationApp18 = $R2C9; $SizeApp18 = $DefaultDrawingSize; $ImageApp18 = $Wallet; $PatternApp18 = "Wallet"; $NameApp18 = "Microsoft Wallet"
$LocationApp19 = $R3C1; $SizeApp19 = $DefaultDrawingSize; $ImageApp19 = $DefaultImage; $PatternApp19 = "ConnectivityStore"; $NameApp19 = "Microsoft Wi-Fi"
$LocationApp20 = $R3C2; $SizeApp20 = $DefaultDrawingSize; $ImageApp20 = $MixedRealityPortal; $PatternApp20 = "MixedReality"; $NameApp20 = "Mixed Reality"
$LocationApp21 = $R3C3; $SizeApp21 = $DefaultDrawingSize; $ImageApp21 = $BingFinance; $PatternApp21 = "BingFinance"; $NameApp21 = "Money"
$LocationApp22 = $R3C4; $SizeApp22 = $DefaultDrawingSize; $ImageApp22 = $ZuneVideo; $PatternApp22 = "ZuneVideo"; $NameApp22 = "Movies && TV"
$LocationApp23 = $R3C5; $SizeApp23 = $DefaultDrawingSize; $ImageApp23 = $OfficeOneNote; $PatternApp23 = "OneNote"; $NameApp23 = "OneNote"
$LocationApp24 = $R3C6; $SizeApp24 = $DefaultDrawingSize; $ImageApp24 = $OneConnect; $PatternApp24 = "OneConnect"; $NameApp24 = "Paid Wi-Fi && Cellular"
$LocationApp25 = $R3C7; $SizeApp25 = $DefaultDrawingSize; $ImageApp25 = $MSPaint; $PatternApp25 = "MSPaint"; $NameApp25 = "Paint 3D"
$LocationApp26 = $R3C8; $SizeApp26 = $DefaultDrawingSize; $ImageApp26 = $People; $PatternApp26 = "People"; $NameApp26 = "People"
$LocationApp27 = $R3C9; $SizeApp27 = $DefaultDrawingSize; $ImageApp27 = $DefaultImage; $PatternApp27 = "CommsPhone"; $NameApp27 = "Phone"
$LocationApp28 = $R4C1; $SizeApp28 = $WideDrawingSize; $ImageApp28 = $YourPhone; $PatternApp28 = "YourPhone"; $NameApp28 = "Your Phone"
# $LocationApp29 = $R4C2; $SizeApp29 = $DefaultDrawingSize; $ImageApp29 = $DefaultImage; $PatternApp29 = ""; $NameApp29 = ""
$LocationApp30 = $R4C3; $SizeApp30 = $WideDrawingSize; $ImageApp30 = $WindowsPhotos; $PatternApp30 = "Photos"; $NameApp30 = "Photos and Video Editor"
# $LocationApp31 = $R4C4; $SizeApp31 = $DefaultDrawingSize; $ImageApp31 = $DefaultImage; $PatternApp31 = ""; $NameApp31 = ""
$LocationApp32 = $R4C5; $SizeApp32 = $DefaultDrawingSize; $ImageApp32 = $ScreenSketch; $PatternApp32 = "ScreenSketch"; $NameApp32 = "Snip && Sketch"
$LocationApp33 = $R4C6; $SizeApp33 = $DefaultDrawingSize; $ImageApp33 = $BingSports; $PatternApp33 = "BingSports"; $NameApp33 = "Sports"
$LocationApp34 = $R4C7; $SizeApp34 = $DefaultDrawingSize; $ImageApp34 = $MicrosoftStickyNotes; $PatternApp34 = "StickyNotes"; $NameApp34 = "Sticky Notes"
$LocationApp35 = $R4C8; $SizeApp35 = $DefaultDrawingSize; $ImageApp35 = $Microsoft3DViewer; $PatternApp35 = "3DViewer"; $NameApp35 = "3D Viewer"
$LocationApp36 = $R4C9; $SizeApp36 = $DefaultDrawingSize; $ImageApp36 = $Print3D; $PatternApp36 = "Print3D"; $NameApp36 = "Print 3D"
$LocationApp37 = $R5C1; $SizeApp37 = $DefaultDrawingSize; $ImageApp37 = $WindowsSoundRecorder; $PatternApp37 = "SoundRecorder"; $NameApp37 = "Voice Recorder"
$LocationApp38 = $R5C2; $SizeApp38 = $DefaultDrawingSize; $ImageApp38 = $BingWeather; $PatternApp38 = "BingWeather"; $NameApp38 = "Weather"
$LocationApp39 = $R5C3; $SizeApp39 = $DefaultDrawingSize; $ImageApp39 = $MicrosoftHoloLens; $PatternApp39 = "Holo"; $NameApp39 = "Microsoft HoloLens"
$LocationApp40 = $R5C4; $SizeApp40 = $WideDrawingSize; $ImageApp40 = $XboxApp; $PatternApp40 = "XboxApp"; $NameApp40 = "Xbox Console Companion"
# $LocationApp41 = $R5C5; $SizeApp41 = $DefaultDrawingSize; $ImageApp41 = $DefaultImage; $PatternApp41 = ""; $NameApp41 = ""
$LocationApp42 = $R5C6; $SizeApp42 = $DefaultDrawingSize; $ImageApp42 = $XboxGameOverlay; $PatternApp42 = "Overlay"; $NameApp42 = "Xbox Game Overlay"
$LocationApp43 = $R5C7; $SizeApp43 = $DefaultDrawingSize; $ImageApp43 = $WindowsStore; $PatternApp43 = "WindowsStore"; $NameApp43 = "Windows Store"

$LocationExtra1 = $R6hC1; $SizeExtra1 = $DefaultDrawingSize; $ImageExtra1 = $BingNews; $PatternExtra1 = "BingNews"; $NameExtra1 = "News"
$LocationExtra2 = $R6hC2; $SizeExtra2 = $DefaultDrawingSize; $ImageExtra2 = $OfficeSway; $PatternExtra2 = "Sway"; $NameExtra2 = "Sway"
$LocationExtra3 = $R6hC3; $SizeExtra3 = $DefaultDrawingSize; $ImageExtra3 = $RemoteDesktop; $PatternExtra3 = "Microsoft.RemoteDesktop"; $NameExtra3 = "Remote Desktop"

$LocationExtension1 = $R9C1; $SizeExtension1 = $DefaultDrawingSize; $ImageExtension1 = $DefaultImage; $PatternExtension1 = "HEIFImageExtension"; $NameExtension1 = "Heif Image"
$LocationExtension2 = $R9C2; $SizeExtension2 = $DefaultDrawingSize; $ImageExtension2 = $DefaultImage; $PatternExtension2 = "MPEG2VideoExtension"; $NameExtension2 = "MPEG-2 Video"
$LocationExtension3 = $R9C3; $SizeExtension3 = $DefaultDrawingSize; $ImageExtension3 = $DefaultImage; $PatternExtension3 = "VP9VideoExtensions"; $NameExtension3 = "VP9 Video"
$LocationExtension4 = $R9C4; $SizeExtension4 = $DefaultDrawingSize; $ImageExtension4 = $DefaultImage; $PatternExtension4 = "WebMediaExtensions"; $NameExtension4 = "Web Media"
$LocationExtension5 = $R9C5; $SizeExtension5 = $DefaultDrawingSize; $ImageExtension5 = $DefaultImage; $PatternExtension5 = "WebpImageExtension"; $NameExtension5 = "WebP Image"

$LocationBloatware1 = $R9C6; $SizeBloatware1 = $DefaultDrawingSize; $ImageBloatware1 = $DefaultImage; $PatternBloatware1 = "Advertising"; $NameBloatware1 = "Advertising"
$LocationFeatures1 = $R9C9; $SizeFeatures1 = $DefaultDrawingSize; $ImageFeatures1 = $QuickAssist; $PatternFeatures1 = ""; $NameFeatures1 = ""



#############################################
# Add Quick Assist & Options Info Stuff ??? #
#############################################



$DefaultGroupBox.Location = $R1C1
$DefaultGroupBox.size = $DefaultGroupBoxSize
# $DefaultGroupBox.text = "DC Health checks:"



CheckInstalledAppsForAllUsers
CheckInstalledAppsForCurrentUser



$ButtonApp1 = New-Object System.Windows.Forms.Button
$ButtonApp1.Location = $LocationApp1
$ButtonApp1.Size = $SizeApp1
$ButtonApp1.BackgroundImage = $ImageApp1
$ButtonApp1.BackgroundImageLayout = "Zoom"
$ButtonApp1.Add_Click({
	$ButtonApp1.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp1"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp1"
		$ButtonApp1.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp1"
		$ButtonApp1.FlatStyle = $PopButton
	}
	$ButtonApp1.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp1"
if ($SEL -eq $null) {
	$ButtonApp1.Text = "$NameApp1"
	$ButtonApp1.Enabled = $false
	$ButtonApp1.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp1"
if ($SEL -eq $null) {
	$ButtonApp1.FlatStyle = $FlatButton
} else {
	$ButtonApp1.FlatStyle = $PopButton
}



$ButtonApp2 = New-Object System.Windows.Forms.Button
$ButtonApp2.Location = $LocationApp2
$ButtonApp2.Size = $SizeApp2
$ButtonApp2.BackgroundImage = $ImageApp2
$ButtonApp2.BackgroundImageLayout = "Zoom"
$ButtonApp2.Add_Click({
	$ButtonApp2.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp2"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp2"
		$ButtonApp2.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp2"
		$ButtonApp2.FlatStyle = $PopButton
	}
	# OpenStartMenu
	$ButtonApp2.Cursor = $HandCursor
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp2"
if ($SEL -eq $null) {
	$ButtonApp2.Text = "$NameApp2"
	$ButtonApp2.Enabled = $false
	$ButtonApp2.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp2"
if ($SEL -eq $null) {
	$ButtonApp2.FlatStyle = $FlatButton
} else {
	$ButtonApp2.FlatStyle = $PopButton
}


 
$ButtonApp3 = New-Object System.Windows.Forms.Button
$ButtonApp3.Location = $LocationApp3
$ButtonApp3.Size = $SizeApp3
$ButtonApp3.Image = $ImageApp3
$ButtonApp3.BackgroundImageLayout = "Zoom"
$ButtonApp3.Add_Click({
	$ButtonApp3.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp3"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp3"
		$ButtonApp3.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp3"
		$ButtonApp3.FlatStyle = $PopButton
	}
	$ButtonApp3.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp3"
if ($SEL -eq $null) {
	$ButtonApp3.Text = "$NameApp3"
	$ButtonApp3.Enabled = $false
	$ButtonApp3.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp3"
if ($SEL -eq $null) {
	$ButtonApp3.FlatStyle = $FlatButton
} else {
	$ButtonApp3.FlatStyle = $PopButton
}


 
$ButtonApp4 = New-Object System.Windows.Forms.Button
$ButtonApp4.Location = $LocationApp4
$ButtonApp4.Size = $SizeApp4
$ButtonApp4.BackgroundImage = $ImageApp4
$ButtonApp4.BackgroundImageLayout = "Zoom"
$ButtonApp4.Add_Click({
	$ButtonApp4.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp4"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp4"
		$ButtonApp4.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp4"
		$ButtonApp4.FlatStyle = $PopButton
	}
	$ButtonApp4.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp4"
if ($SEL -eq $null) {
	$ButtonApp4.Text = "$NameApp4"
	$ButtonApp4.Enabled = $false
	$ButtonApp4.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp4"
if ($SEL -eq $null) {
	$ButtonApp4.FlatStyle = $FlatButton
} else {
	$ButtonApp4.FlatStyle = $PopButton
}



$ButtonApp5 = New-Object System.Windows.Forms.Button
$ButtonApp5.Location = $LocationApp5
$ButtonApp5.Size = $SizeApp5
$ButtonApp5.BackgroundImage = $ImageApp5
$ButtonApp5.BackgroundImageLayout = "Zoom"
$ButtonApp5.Add_Click({
	$ButtonApp5.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp5"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp5"
		$ButtonApp5.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp5"
		$ButtonApp5.FlatStyle = $PopButton
	}
	$ButtonApp5.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp5"
if ($SEL -eq $null) {
	$ButtonApp5.Text = "$NameApp5"
	$ButtonApp5.Enabled = $false
	$ButtonApp5.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp5"
if ($SEL -eq $null) {
	$ButtonApp5.FlatStyle = $FlatButton
} else {
	$ButtonApp5.FlatStyle = $PopButton
}



$ButtonApp7 = New-Object System.Windows.Forms.Button
$ButtonApp7.Location = $LocationApp7
$ButtonApp7.Size = $SizeApp7
$ButtonApp7.BackgroundImage = $ImageApp7
$ButtonApp7.BackgroundImageLayout = "Zoom"
$ButtonApp7.Add_Click({
	$ButtonApp7.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp7"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp7"
		$ButtonApp7.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp7"
		$ButtonApp7.FlatStyle = $PopButton
	}
	$ButtonApp7.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp7"
if ($SEL -eq $null) {
	$ButtonApp7.Text = "$NameApp7"
	$ButtonApp7.Enabled = $false
	$ButtonApp7.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp7"
if ($SEL -eq $null) {
	$ButtonApp7.FlatStyle = $FlatButton
} else {
	$ButtonApp7.FlatStyle = $PopButton
}


 
$ButtonApp8 = New-Object System.Windows.Forms.Button
$ButtonApp8.Location = $LocationApp8
$ButtonApp8.Size = $SizeApp8
$ButtonApp8.BackgroundImage = $ImageApp8
$ButtonApp8.BackgroundImageLayout = "Zoom"
$ButtonApp8.Add_Click({
	$ButtonApp8.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp8"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp8"
		$ButtonApp8.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp8"
		$ButtonApp8.FlatStyle = $PopButton
	}
	$ButtonApp8.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp8"
if ($SEL -eq $null) {
	$ButtonApp8.Text = "$NameApp8"
	$ButtonApp8.Enabled = $false
	$ButtonApp8.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp8"
if ($SEL -eq $null) {
	$ButtonApp8.FlatStyle = $FlatButton
} else {
	$ButtonApp8.FlatStyle = $PopButton
}



$ButtonApp9 = New-Object System.Windows.Forms.Button
$ButtonApp9.Location = $LocationApp9
$ButtonApp9.Size = $SizeApp9
$ButtonApp9.BackgroundImage = $ImageApp9
$ButtonApp9.BackgroundImageLayout = "Zoom"
$ButtonApp9.Add_Click({
	$ButtonApp9.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp9"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp9"
		$ButtonApp9.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp9"
		$ButtonApp9.FlatStyle = $PopButton
	}
	$ButtonApp9.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp9"
if ($SEL -eq $null) {
	$ButtonApp9.Text = "$NameApp9"
	$ButtonApp9.Enabled = $false
	$ButtonApp9.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp9"
if ($SEL -eq $null) {
	$ButtonApp9.FlatStyle = $FlatButton
} else {
	$ButtonApp9.FlatStyle = $PopButton
}



$ButtonApp10 = New-Object System.Windows.Forms.Button
$ButtonApp10.Location = $LocationApp10
$ButtonApp10.Size = $SizeApp10
$ButtonApp10.BackgroundImage = $ImageApp10
$ButtonApp10.BackgroundImageLayout = "Zoom"
$ButtonApp10.Add_Click({
	$ButtonApp10.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp10"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp10"
		$ButtonApp10.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp10"
		$ButtonApp10.FlatStyle = $PopButton
	}
	$ButtonApp10.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp10"
if ($SEL -eq $null) {
	$ButtonApp10.Text = "$NameApp10"
	$ButtonApp10.Enabled = $false
	$ButtonApp10.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp10"
if ($SEL -eq $null) {
	$ButtonApp10.FlatStyle = $FlatButton
} else {
	$ButtonApp10.FlatStyle = $PopButton
}



$ButtonApp11 = New-Object System.Windows.Forms.Button
$ButtonApp11.Location = $LocationApp11
$ButtonApp11.Size = $SizeApp11
$ButtonApp11.BackgroundImage = $ImageApp11
$ButtonApp11.BackgroundImageLayout = "Zoom"
$ButtonApp11.Add_Click({
	$ButtonApp11.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp11"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp11"
		$ButtonApp11.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp11"
		$ButtonApp11.FlatStyle = $PopButton
	}
	$ButtonApp11.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp11"
if ($SEL -eq $null) {
	$ButtonApp11.Text = "$NameApp11"
	$ButtonApp11.Enabled = $false
	$ButtonApp11.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp11"
if ($SEL -eq $null) {
	$ButtonApp11.FlatStyle = $FlatButton
} else {
	$ButtonApp11.FlatStyle = $PopButton
}



$ButtonApp12 = New-Object System.Windows.Forms.Button
$ButtonApp12.Location = $LocationApp12
$ButtonApp12.Size = $SizeApp12
$ButtonApp12.BackgroundImage = $ImageApp12
$ButtonApp12.BackgroundImageLayout = "Zoom"
$ButtonApp12.Add_Click({
	$ButtonApp12.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp12"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp12"
		$ButtonApp12.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp12"
		$ButtonApp12.FlatStyle = $PopButton
	}
	$ButtonApp12.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp12"
if ($SEL -eq $null) {
	$ButtonApp12.Text = "$NameApp12"
	$ButtonApp12.Enabled = $false
	$ButtonApp12.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp12"
if ($SEL -eq $null) {
	$ButtonApp12.FlatStyle = $FlatButton
} else {
	$ButtonApp12.FlatStyle = $PopButton
}



$ButtonApp13 = New-Object System.Windows.Forms.Button
$ButtonApp13.Location = $LocationApp13
$ButtonApp13.Size = $SizeApp13
$ButtonApp13.BackgroundImage = $ImageApp13
$ButtonApp13.BackgroundImageLayout = "Zoom"
$ButtonApp13.Add_Click({
	$ButtonApp13.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp13"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp13"
		$ButtonApp13.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp13"
		$ButtonApp13.FlatStyle = $PopButton
	}
	$ButtonApp13.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp13"
if ($SEL -eq $null) {
	$ButtonApp13.Text = "$NameApp13"
	$ButtonApp13.Enabled = $false
	$ButtonApp13.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp13"
if ($SEL -eq $null) {
	$ButtonApp13.FlatStyle = $FlatButton
} else {
	$ButtonApp13.FlatStyle = $PopButton
}



$ButtonApp14 = New-Object System.Windows.Forms.Button
$ButtonApp14.Location = $LocationApp14
$ButtonApp14.Size = $SizeApp14
$ButtonApp14.BackgroundImage = $ImageApp14
$ButtonApp14.BackgroundImageLayout = "Zoom"
$ButtonApp14.Add_Click({
	$ButtonApp14.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp14"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp14"
		$ButtonApp14.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp14"
		$ButtonApp14.FlatStyle = $PopButton
	}
	$ButtonApp14.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp14"
if ($SEL -eq $null) {
	$ButtonApp14.Text = "$NameApp14"
	$ButtonApp14.Enabled = $false
	$ButtonApp14.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp14"
if ($SEL -eq $null) {
	$ButtonApp14.FlatStyle = $FlatButton
} else {
	$ButtonApp14.FlatStyle = $PopButton
}



$ButtonApp15 = New-Object System.Windows.Forms.Button
$ButtonApp15.Location = $LocationApp15
$ButtonApp15.Size = $SizeApp15
$ButtonApp15.BackgroundImage = $ImageApp15
$ButtonApp15.BackgroundImageLayout = "Zoom"
$ButtonApp15.Add_Click({
	$ButtonApp15.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp15"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp15"
		$ButtonApp15.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp15"
		$ButtonApp15.FlatStyle = $PopButton
	}
	$ButtonApp15.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp15"
if ($SEL -eq $null) {
	$ButtonApp15.Text = "$NameApp15"
	$ButtonApp15.Enabled = $false
	$ButtonApp15.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp15"
if ($SEL -eq $null) {
	$ButtonApp15.FlatStyle = $FlatButton
} else {
	$ButtonApp15.FlatStyle = $PopButton
}



$ButtonApp16 = New-Object System.Windows.Forms.Button
$ButtonApp16.Location = $LocationApp16
$ButtonApp16.Size = $SizeApp16
$ButtonApp16.BackgroundImage = $ImageApp16
$ButtonApp16.BackgroundImageLayout = "Zoom"
$ButtonApp16.Add_Click({
	$ButtonApp16.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp16"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp16"
		$ButtonApp16.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp16"
		$ButtonApp16.FlatStyle = $PopButton
	}
	$ButtonApp16.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp16"
if ($SEL -eq $null) {
	$ButtonApp16.Text = "$NameApp16"
	$ButtonApp16.Enabled = $false
	$ButtonApp16.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp16"
if ($SEL -eq $null) {
	$ButtonApp16.FlatStyle = $FlatButton
} else {
	$ButtonApp16.FlatStyle = $PopButton
}



$ButtonApp17 = New-Object System.Windows.Forms.Button
$ButtonApp17.Location = $LocationApp17
$ButtonApp17.Size = $SizeApp17
$ButtonApp17.BackgroundImage = $ImageApp17
$ButtonApp17.BackgroundImageLayout = "Zoom"
$ButtonApp17.Add_Click({
	$ButtonApp17.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp17"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp17"
		$ButtonApp17.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp17"
		$ButtonApp17.FlatStyle = $PopButton
	}
	$ButtonApp17.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp17"
if ($SEL -eq $null) {
	$ButtonApp17.Text = "$NameApp17"
	$ButtonApp17.Enabled = $false
	$ButtonApp17.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp17"
if ($SEL -eq $null) {
	$ButtonApp17.FlatStyle = $FlatButton
} else {
	$ButtonApp17.FlatStyle = $PopButton
}



$ButtonApp18 = New-Object System.Windows.Forms.Button
$ButtonApp18.Location = $LocationApp18
$ButtonApp18.Size = $SizeApp18
$ButtonApp18.BackgroundImage = $ImageApp18
$ButtonApp18.BackgroundImageLayout = "Zoom"
$ButtonApp18.Add_Click({
	$ButtonApp18.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp18"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp18"
		$ButtonApp18.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp18"
		$ButtonApp18.FlatStyle = $PopButton
	}
	$ButtonApp18.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp18"
if ($SEL -eq $null) {
	$ButtonApp18.Text = "$NameApp18"
	$ButtonApp18.Enabled = $false
	$ButtonApp18.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp18"
if ($SEL -eq $null) {
	$ButtonApp18.FlatStyle = $FlatButton
} else {
	$ButtonApp18.FlatStyle = $PopButton
}



$ButtonApp19 = New-Object System.Windows.Forms.Button
$ButtonApp19.Location = $LocationApp19
$ButtonApp19.Size = $SizeApp19
$ButtonApp19.BackgroundImage = $ImageApp19
$ButtonApp19.BackgroundImageLayout = "Zoom"
$ButtonApp19.Add_Click({
	$ButtonApp19.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp19"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp19"
		$ButtonApp19.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp19"
		$ButtonApp19.FlatStyle = $PopButton
	}
	$ButtonApp19.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp19"
if ($SEL -eq $null) {
	$ButtonApp19.Text = "$NameApp19"
	$ButtonApp19.Enabled = $false
	$ButtonApp19.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp19"
if ($SEL -eq $null) {
	$ButtonApp19.FlatStyle = $FlatButton
} else {
	$ButtonApp19.FlatStyle = $PopButton
}



$ButtonApp20 = New-Object System.Windows.Forms.Button
$ButtonApp20.Location = $LocationApp20
$ButtonApp20.Size = $SizeApp20
$ButtonApp20.BackgroundImage = $ImageApp20
$ButtonApp20.BackgroundImageLayout = "Zoom"
$ButtonApp20.Add_Click({
	$ButtonApp20.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp20"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp20"
		$ButtonApp20.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp20"
		$ButtonApp20.FlatStyle = $PopButton
	}
	$ButtonApp20.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp20"
if ($SEL -eq $null) {
	$ButtonApp20.Text = "$NameApp20"
	$ButtonApp20.Enabled = $false
	$ButtonApp20.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp20"
if ($SEL -eq $null) {
	$ButtonApp20.FlatStyle = $FlatButton
} else {
	$ButtonApp20.FlatStyle = $PopButton
}



$ButtonApp21 = New-Object System.Windows.Forms.Button
$ButtonApp21.Location = $LocationApp21
$ButtonApp21.Size = $SizeApp21
$ButtonApp21.BackgroundImage = $ImageApp21
$ButtonApp21.BackgroundImageLayout = "Zoom"
$ButtonApp21.Add_Click({
	$ButtonApp21.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp21"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp21"
		$ButtonApp21.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp21"
		$ButtonApp21.FlatStyle = $PopButton
	}
	$ButtonApp21.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp21"
if ($SEL -eq $null) {
	$ButtonApp21.Text = "$NameApp21"
	$ButtonApp21.Enabled = $false
	$ButtonApp21.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp21"
if ($SEL -eq $null) {
	$ButtonApp21.FlatStyle = $FlatButton
} else {
	$ButtonApp21.FlatStyle = $PopButton
}



$ButtonApp22 = New-Object System.Windows.Forms.Button
$ButtonApp22.Location = $LocationApp22
$ButtonApp22.Size = $SizeApp22
$ButtonApp22.BackgroundImage = $ImageApp22
$ButtonApp22.BackgroundImageLayout = "Zoom"
$ButtonApp22.Add_Click({
	$ButtonApp22.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp22"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp22"
		$ButtonApp22.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp22"
		$ButtonApp22.FlatStyle = $PopButton
	}
	$ButtonApp22.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp22"
if ($SEL -eq $null) {
	$ButtonApp22.Text = "$NameApp22"
	$ButtonApp22.Enabled = $false
	$ButtonApp22.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp22"
if ($SEL -eq $null) {
	$ButtonApp22.FlatStyle = $FlatButton
} else {
	$ButtonApp22.FlatStyle = $PopButton
}



$ButtonApp23 = New-Object System.Windows.Forms.Button
$ButtonApp23.Location = $LocationApp23
$ButtonApp23.Size = $SizeApp23
$ButtonApp23.BackgroundImage = $ImageApp23
$ButtonApp23.BackgroundImageLayout = "Zoom"
$ButtonApp23.Add_Click({
	$ButtonApp23.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp23"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp23"
		$ButtonApp23.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp23"
		$ButtonApp23.FlatStyle = $PopButton
	}
	$ButtonApp23.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp23"
if ($SEL -eq $null) {
	$ButtonApp23.Text = "$NameApp23"
	$ButtonApp23.Enabled = $false
	$ButtonApp23.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp23"
if ($SEL -eq $null) {
	$ButtonApp23.FlatStyle = $FlatButton
} else {
	$ButtonApp23.FlatStyle = $PopButton
}



$ButtonApp24 = New-Object System.Windows.Forms.Button
$ButtonApp24.Location = $LocationApp24
$ButtonApp24.Size = $SizeApp24
$ButtonApp24.BackgroundImage = $ImageApp24
$ButtonApp24.BackgroundImageLayout = "Zoom"
$ButtonApp24.Add_Click({
	$ButtonApp24.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp24"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp24"
		$ButtonApp24.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp24"
		$ButtonApp24.FlatStyle = $PopButton
	}
	$ButtonApp24.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp24"
if ($SEL -eq $null) {
	$ButtonApp24.Text = "$NameApp24"
	$ButtonApp24.Enabled = $false
	$ButtonApp24.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp24"
if ($SEL -eq $null) {
	$ButtonApp24.FlatStyle = $FlatButton
} else {
	$ButtonApp24.FlatStyle = $PopButton
}



$ButtonApp25 = New-Object System.Windows.Forms.Button
$ButtonApp25.Location = $LocationApp25
$ButtonApp25.Size = $SizeApp25
$ButtonApp25.BackgroundImage = $ImageApp25
$ButtonApp25.BackgroundImageLayout = "Zoom"
$ButtonApp25.Add_Click({
	$ButtonApp25.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp25"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp25"
		$ButtonApp25.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp25"
		$ButtonApp25.FlatStyle = $PopButton
	}
	$ButtonApp25.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp25"
if ($SEL -eq $null) {
	$ButtonApp25.Text = "$NameApp25"
	$ButtonApp25.Enabled = $false
	$ButtonApp25.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp25"
if ($SEL -eq $null) {
	$ButtonApp25.FlatStyle = $FlatButton
} else {
	$ButtonApp25.FlatStyle = $PopButton
}



$ButtonApp26 = New-Object System.Windows.Forms.Button
$ButtonApp26.Location = $LocationApp26
$ButtonApp26.Size = $SizeApp26
$ButtonApp26.BackgroundImage = $ImageApp26
$ButtonApp26.BackgroundImageLayout = "Zoom"
$ButtonApp26.Add_Click({
	$ButtonApp26.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp26 "
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp26"
		$ButtonApp26.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp26"
		$ButtonApp26.FlatStyle = $PopButton
	}
	$ButtonApp26.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp26 "
if ($SEL -eq $null) {
	$ButtonApp26.Text = "$NameApp26"
	$ButtonApp26.Enabled = $false
	$ButtonApp26.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp26 "
if ($SEL -eq $null) {
	$ButtonApp26.FlatStyle = $FlatButton
} else {
	$ButtonApp26.FlatStyle = $PopButton
}



$ButtonApp27 = New-Object System.Windows.Forms.Button
$ButtonApp27.Location = $LocationApp27
$ButtonApp27.Size = $SizeApp27
$ButtonApp27.BackgroundImage = $ImageApp27
$ButtonApp27.BackgroundImageLayout = "Zoom"
$ButtonApp27.Add_Click({
	$ButtonApp27.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp27"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp27"
		$ButtonApp27.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp27"
		$ButtonApp27.FlatStyle = $PopButton
	}
	$ButtonApp27.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp27"
if ($SEL -eq $null) {
	$ButtonApp27.Text = "$NameApp27"
	$ButtonApp27.Enabled = $false
	$ButtonApp27.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp27"
if ($SEL -eq $null) {
	$ButtonApp27.FlatStyle = $FlatButton
} else {
	$ButtonApp27.FlatStyle = $PopButton
}



$ButtonApp28 = New-Object System.Windows.Forms.Button
$ButtonApp28.Location = $LocationApp28
$ButtonApp28.Size = $SizeApp28
$ButtonApp28.BackgroundImage = $ImageApp28
$ButtonApp28.BackgroundImageLayout = "Zoom"
$ButtonApp28.Add_Click({
	$ButtonApp28.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp28"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp28"
		$ButtonApp28.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp28"
		$ButtonApp28.FlatStyle = $PopButton
	}
	$ButtonApp28.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp28"
if ($SEL -eq $null) {
	$ButtonApp28.Text = "$NameApp28"
	$ButtonApp28.Enabled = $false
	$ButtonApp28.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp28"
if ($SEL -eq $null) {
	$ButtonApp28.FlatStyle = $FlatButton
} else {
	$ButtonApp28.FlatStyle = $PopButton
}



$ButtonApp30 = New-Object System.Windows.Forms.Button
$ButtonApp30.Location = $LocationApp30
$ButtonApp30.Size = $SizeApp30
$ButtonApp30.BackgroundImage = $ImageApp30
$ButtonApp30.BackgroundImageLayout = "Zoom"
$ButtonApp30.Add_Click({
	$ButtonApp30.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp30"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp30"
		$ButtonApp30.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp30"
		$ButtonApp30.FlatStyle = $PopButton
	}
	$ButtonApp30.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp30"
if ($SEL -eq $null) {
	$ButtonApp30.Text = "$NameApp30"
	$ButtonApp30.Enabled = $false
	$ButtonApp30.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp30"
if ($SEL -eq $null) {
	$ButtonApp30.FlatStyle = $FlatButton
} else {
	$ButtonApp30.FlatStyle = $PopButton
}



$ButtonApp32 = New-Object System.Windows.Forms.Button
$ButtonApp32.Location = $LocationApp32
$ButtonApp32.Size = $SizeApp32
$ButtonApp32.BackgroundImage = $ImageApp32
$ButtonApp32.BackgroundImageLayout = "Zoom"
$ButtonApp32.Add_Click({
	$ButtonApp32.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp32"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp32"
		$ButtonApp32.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp32"
		$ButtonApp32.FlatStyle = $PopButton
	}
	$ButtonApp32.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp32"
if ($SEL -eq $null) {
	$ButtonApp32.Text = "$NameApp32"
	$ButtonApp32.Enabled = $false
	$ButtonApp32.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp32"
if ($SEL -eq $null) {
	$ButtonApp32.FlatStyle = $FlatButton
} else {
	$ButtonApp32.FlatStyle = $PopButton
}



$ButtonApp33 = New-Object System.Windows.Forms.Button
$ButtonApp33.Location = $LocationApp33
$ButtonApp33.Size = $SizeApp33
$ButtonApp33.BackgroundImage = $ImageApp33
$ButtonApp33.BackgroundImageLayout = "Zoom"
$ButtonApp33.Add_Click({
	$ButtonApp33.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp33"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp33"
		$ButtonApp33.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp33"
		$ButtonApp33.FlatStyle = $PopButton
	}
	$ButtonApp33.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp33"
if ($SEL -eq $null) {
	$ButtonApp33.Text = "$NameApp33"
	$ButtonApp33.Enabled = $false
	$ButtonApp33.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp33"
if ($SEL -eq $null) {
	$ButtonApp33.FlatStyle = $FlatButton
} else {
	$ButtonApp33.FlatStyle = $PopButton
}



$ButtonApp34 = New-Object System.Windows.Forms.Button
$ButtonApp34.Location = $LocationApp34
$ButtonApp34.Size = $SizeApp34
$ButtonApp34.BackgroundImage = $ImageApp34
$ButtonApp34.BackgroundImageLayout = "Zoom"
$ButtonApp34.Add_Click({
	$ButtonApp34.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp34"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp34"
		$ButtonApp34.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp34"
		$ButtonApp34.FlatStyle = $PopButton
	}
	$ButtonApp34.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp34"
if ($SEL -eq $null) {
	$ButtonApp34.Text = "$NameApp34"
	$ButtonApp34.Enabled = $false
	$ButtonApp34.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp34"
if ($SEL -eq $null) {
	$ButtonApp34.FlatStyle = $FlatButton
} else {
	$ButtonApp34.FlatStyle = $PopButton
}



$ButtonApp35 = New-Object System.Windows.Forms.Button
$ButtonApp35.Location = $LocationApp35
$ButtonApp35.Size = $SizeApp35
$ButtonApp35.BackgroundImage = $ImageApp35
$ButtonApp35.BackgroundImageLayout = "Zoom"
$ButtonApp35.Add_Click({
	$ButtonApp35.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp35"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp35"
		$ButtonApp35.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp35"
		$ButtonApp35.FlatStyle = $PopButton
	}
	$ButtonApp35.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp35"
if ($SEL -eq $null) {
	$ButtonApp35.Text = "$NameApp35"
	$ButtonApp35.Enabled = $false
	$ButtonApp35.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp35"
if ($SEL -eq $null) {
	$ButtonApp35.FlatStyle = $FlatButton
} else {
	$ButtonApp35.FlatStyle = $PopButton
}



$ButtonApp36 = New-Object System.Windows.Forms.Button
$ButtonApp36.Location = $LocationApp36
$ButtonApp36.Size = $SizeApp36
$ButtonApp36.BackgroundImage = $ImageApp36
$ButtonApp36.BackgroundImageLayout = "Zoom"
$ButtonApp36.Add_Click({
	$ButtonApp36.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp36"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp36"
		$ButtonApp36.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp36"
		$ButtonApp36.FlatStyle = $PopButton
	}
	$ButtonApp36.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp36"
if ($SEL -eq $null) {
	$ButtonApp36.Text = "$NameApp36"
	$ButtonApp36.Enabled = $false
	$ButtonApp36.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp36"
if ($SEL -eq $null) {
	$ButtonApp36.FlatStyle = $FlatButton
} else {
	$ButtonApp36.FlatStyle = $PopButton
}



$ButtonApp37 = New-Object System.Windows.Forms.Button
$ButtonApp37.Location = $LocationApp37
$ButtonApp37.Size = $SizeApp37
$ButtonApp37.BackgroundImage = $ImageApp37
$ButtonApp37.BackgroundImageLayout = "Zoom"
$ButtonApp37.Add_Click({
	$ButtonApp37.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp37"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp37"
		$ButtonApp37.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp37"
		$ButtonApp37.FlatStyle = $PopButton
	}
	$ButtonApp37.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp37"
if ($SEL -eq $null) {
	$ButtonApp37.Text = "$NameApp37"
	$ButtonApp37.Enabled = $false
	$ButtonApp37.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp37"
if ($SEL -eq $null) {
	$ButtonApp37.FlatStyle = $FlatButton
} else {
	$ButtonApp37.FlatStyle = $PopButton
}



$ButtonApp38 = New-Object System.Windows.Forms.Button
$ButtonApp38.Location = $LocationApp38
$ButtonApp38.Size = $SizeApp38
$ButtonApp38.BackgroundImage = $ImageApp38
$ButtonApp38.BackgroundImageLayout = "Zoom"
$ButtonApp38.Add_Click({
	$ButtonApp38.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp38"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp38"
		$ButtonApp38.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp38"
		$ButtonApp38.FlatStyle = $PopButton
	}
	$ButtonApp38.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp38"
if ($SEL -eq $null) {
	$ButtonApp38.Text = "$NameApp38"
	$ButtonApp38.Enabled = $false
	$ButtonApp38.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp38"
if ($SEL -eq $null) {
	$ButtonApp38.FlatStyle = $FlatButton
} else {
	$ButtonApp38.FlatStyle = $PopButton
}



$ButtonApp39 = New-Object System.Windows.Forms.Button
$ButtonApp39.Location = $LocationApp39
$ButtonApp39.Size = $SizeApp39
$ButtonApp39.BackgroundImage = $ImageApp39
$ButtonApp39.BackgroundImageLayout = "Zoom"
$ButtonApp39.Add_Click({
	$ButtonApp39.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp39"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp39"
		$ButtonApp39.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp39"
		$ButtonApp39.FlatStyle = $PopButton
	}
	$ButtonApp39.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp39"
if ($SEL -eq $null) {
	$ButtonApp39.Text = "$NameApp39"
	$ButtonApp39.Enabled = $false
	$ButtonApp39.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp39"
if ($SEL -eq $null) {
	$ButtonApp39.FlatStyle = $FlatButton
} else {
	$ButtonApp39.FlatStyle = $PopButton
}



$ButtonApp40 = New-Object System.Windows.Forms.Button
$ButtonApp40.Location = $LocationApp40
$ButtonApp40.Size = $SizeApp40
$ButtonApp40.BackgroundImage = $ImageApp40
$ButtonApp40.BackgroundImageLayout = "Zoom"
$ButtonApp40.Add_Click({
	$ButtonApp40.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp40"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp40"
		$ButtonApp40.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp40"
		$ButtonApp40.FlatStyle = $PopButton
	}
	$ButtonApp40.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp40"
if ($SEL -eq $null) {
	$ButtonApp40.Text = "$NameApp40"
	$ButtonApp40.Enabled = $false
	$ButtonApp40.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp40"
if ($SEL -eq $null) {
	$ButtonApp40.FlatStyle = $FlatButton
} else {
	$ButtonApp40.FlatStyle = $PopButton
}



$ButtonApp42 = New-Object System.Windows.Forms.Button
$ButtonApp42.Location = $LocationApp42
$ButtonApp42.Size = $SizeApp42
$ButtonApp42.BackgroundImage = $ImageApp42
$ButtonApp42.BackgroundImageLayout = "Zoom"
$ButtonApp42.Add_Click({
	$ButtonApp42.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp42"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp42"
		$ButtonApp42.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp42"
		$ButtonApp42.FlatStyle = $PopButton
	}
	$ButtonApp42.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp42"
if ($SEL -eq $null) {
	$ButtonApp42.Text = "$NameApp42"
	$ButtonApp42.Enabled = $false
	$ButtonApp42.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp42"
if ($SEL -eq $null) {
	$ButtonApp42.FlatStyle = $FlatButton
} else {
	$ButtonApp42.FlatStyle = $PopButton
}



$ButtonApp43 = New-Object System.Windows.Forms.Button
$ButtonApp43.Location = $LocationApp43
$ButtonApp43.Size = $SizeApp43
$ButtonApp43.BackgroundImage = $ImageApp43
$ButtonApp43.BackgroundImageLayout = "Zoom"
$ButtonApp43.Add_Click({
	$ButtonApp43.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternApp43"
	if ($SEL -ne $null) {
		UninstallApp "$PatternApp43"
		$ButtonApp43.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternApp43"
		$ButtonApp43.FlatStyle = $PopButton
	}
	$ButtonApp43.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternApp43"
if ($SEL -eq $null) {
	$ButtonApp43.Text = "$NameApp43"
	$ButtonApp43.Enabled = $false
	$ButtonApp43.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternApp43"
if ($SEL -eq $null) {
	$ButtonApp43.FlatStyle = $FlatButton
} else {
	$ButtonApp43.FlatStyle = $PopButton
}



$ButtonExtra1 = New-Object System.Windows.Forms.Button
$ButtonExtra1.Location = $LocationExtra1
$ButtonExtra1.Size = $SizeExtra1
$ButtonExtra1.BackgroundImage = $ImageExtra1
$ButtonExtra1.BackgroundImageLayout = "Zoom"
$ButtonExtra1.Add_Click({
	$ButtonExtra1.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternExtra1"
	if ($SEL -ne $null) {
		UninstallApp "$PatternExtra1"
		$ButtonExtra1.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternExtra1"
		$ButtonExtra1.FlatStyle = $PopButton
	}
	$ButtonExtra1.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternExtra1"
if ($SEL -eq $null) {
	$ButtonExtra1.Text = "$NameExtra1"
	$ButtonExtra1.Enabled = $false
	$ButtonExtra1.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternExtra1"
if ($SEL -eq $null) {
	$ButtonExtra1.FlatStyle = $FlatButton
} else {
	$ButtonExtra1.FlatStyle = $PopButton
}



$ButtonExtra2 = New-Object System.Windows.Forms.Button
$ButtonExtra2.Location = $LocationExtra2
$ButtonExtra2.Size = $SizeExtra2
$ButtonExtra2.BackgroundImage = $ImageExtra2
$ButtonExtra2.BackgroundImageLayout = "Zoom"
$ButtonExtra2.Add_Click({
	$ButtonExtra2.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternExtra2"
	if ($SEL -ne $null) {
		UninstallApp "$PatternExtra2"
		$ButtonExtra2.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternExtra2"
		$ButtonExtra2.FlatStyle = $PopButton
	}
	$ButtonExtra2.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternExtra2"
if ($SEL -eq $null) {
	$ButtonExtra2.Text = "$NameExtra2"
	$ButtonExtra2.Enabled = $false
	$ButtonExtra2.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternExtra2"
if ($SEL -eq $null) {
	$ButtonExtra2.FlatStyle = $FlatButton
} else {
	$ButtonExtra2.FlatStyle = $PopButton
}



$ButtonExtra3 = New-Object System.Windows.Forms.Button
$ButtonExtra3.Location = $LocationExtra3
$ButtonExtra3.Size = $SizeExtra3
$ButtonExtra3.BackgroundImage = $ImageExtra3
$ButtonExtra3.BackgroundImageLayout = "Zoom"
$ButtonExtra3.Add_Click({
	$ButtonExtra3.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternExtra3"
	if ($SEL -ne $null) {
		UninstallApp "$PatternExtra3"
		$ButtonExtra3.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternExtra3"
		$ButtonExtra3.FlatStyle = $PopButton
	}
	$ButtonExtra3.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternExtra3"
if ($SEL -eq $null) {
	$ButtonExtra3.Text = "$NameExtra3"
	$ButtonExtra3.Enabled = $false
	$ButtonExtra3.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternExtra3"
if ($SEL -eq $null) {
	$ButtonExtra3.FlatStyle = $FlatButton
} else {
	$ButtonExtra3.FlatStyle = $PopButton
}



$Extensions1 = New-Object System.Windows.Forms.Button
$Extensions1.Location = $LocationExtension1
$Extensions1.Size = $SizeExtension1
$Extensions1.Text = "Heif Image"
$Extensions1.Image = $ImageExtension1
$Extensions1.BackgroundImageLayout = "Zoom"
$Extensions1.Add_Click({
	$Extensions1.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternExtension1"
	if ($SEL -ne $null) {
		UninstallApp "$PatternExtension1"
		$Extensions1.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternExtension1"
		$Extensions1.FlatStyle = $PopButton
	}
	$Extensions1.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternExtension1"
if ($SEL -eq $null) {
	$Extensions1.Text = "$NameExtension1"
	$Extensions1.Enabled = $false
	$Extensions1.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternExtension1"
if ($SEL -eq $null) {
	$Extensions1.FlatStyle = $FlatButton
} else {
	$Extensions1.FlatStyle = $PopButton
}



$Extensions2 = New-Object System.Windows.Forms.Button
$Extensions2.Location = $LocationExtension2
$Extensions2.Size = $SizeExtension2
$Extensions2.Text = "MPEG-2 Video"
$Extensions2.Image = $ImageExtension2
$Extensions2.BackgroundImageLayout = "Zoom"
$Extensions2.Add_Click({
	$Extensions2.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternExtension2"
	if ($SEL -ne $null) {
		UninstallApp "$PatternExtension2"
		$Extensions2.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternExtension2"
		$Extensions2.FlatStyle = $PopButton
	}
	$Extensions2.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternExtension2"
if ($SEL -eq $null) {
	$Extensions2.Text = "$NameExtension2"
	$Extensions2.Enabled = $false
	$Extensions2.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternExtension2"
if ($SEL -eq $null) {
	$Extensions2.FlatStyle = $FlatButton
} else {
	$Extensions2.FlatStyle = $PopButton
}



$Extensions3 = New-Object System.Windows.Forms.Button
$Extensions3.Location = $LocationExtension3
$Extensions3.Size = $SizeExtension3
$Extensions3.Text = "VP9 Video"
$Extensions3.Image = $ImageExtension3
$Extensions3.BackgroundImageLayout = "Zoom"
$Extensions3.Add_Click({
	$Extensions3.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternExtension3"
	if ($SEL -ne $null) {
		UninstallApp "$PatternExtension3"
		$Extensions3.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternExtension3"
		$Extensions3.FlatStyle = $PopButton
	}
	$Extensions3.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternExtension3"
if ($SEL -eq $null) {
	$Extensions3.Text = "$NameExtension3"
	$Extensions3.Enabled = $false
	$Extensions3.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternExtension3"
if ($SEL -eq $null) {
	$Extensions3.FlatStyle = $FlatButton
} else {
	$Extensions3.FlatStyle = $PopButton
}



$Extensions4 = New-Object System.Windows.Forms.Button
$Extensions4.Location = $LocationExtension4
$Extensions4.Size = $SizeExtension4
$Extensions4.Text = "Web Media"
$Extensions4.Image = $ImageExtension4
$Extensions4.BackgroundImageLayout = "Zoom"
$Extensions4.Add_Click({
	$Extensions4.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternExtension4"
	if ($SEL -ne $null) {
		UninstallApp $PatternExtension4
		$Extensions4.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternExtension4"
		$Extensions4.FlatStyle = $PopButton
	}
	$Extensions4.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternExtension4"
if ($SEL -eq $null) {
	$Extensions4.Text = "$NameExtension4"
	$Extensions4.Enabled = $false
	$Extensions4.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternExtension4"
if ($SEL -eq $null) {
	$Extensions4.FlatStyle = $FlatButton
} else {
	$Extensions4.FlatStyle = $PopButton
}



$Extensions5 = New-Object System.Windows.Forms.Button
$Extensions5.Location = $LocationExtension5
$Extensions5.Size = $SizeExtension5
$Extensions5.Text = "WebP Image"
$Extensions5.Image = $ImageExtension5
$Extensions5.BackgroundImageLayout = "Zoom"
$Extensions5.Add_Click({
	$Extensions5.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternExtension5"
	if ($SEL -ne $null) {
		UninstallApp "$PatternExtension5"
		$Extensions5.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternExtension5"
		$Extensions5.FlatStyle = $PopButton
	}
	$Extensions5.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternExtension5"
if ($SEL -eq $null) {
	$Extensions5.Text = "$NameExtension5"
	$Extensions5.Enabled = $false
	$Extensions5.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternExtension5"
if ($SEL -eq $null) {
	$Extensions5.FlatStyle = $FlatButton
} else {
	$Extensions5.FlatStyle = $PopButton
}



$Bloatwares1 = New-Object System.Windows.Forms.Button
$Bloatwares1.Location = $LocationBloatware1
$Bloatwares1.Size = $SizeBloatware1
$Bloatwares1.Text = "Advertising"
$Bloatwares1.Image = $ImageBloatware1
$Bloatwares1.BackgroundImageLayout = "Zoom"
$Bloatwares1.Add_Click({
	$Bloatwares1.Cursor = $WaitCursor
	CheckInstalledAppsForCurrentUser
	$SEL = Get-Content .\current.txt | Select-String "$PatternBloatware1"
	if ($SEL -ne $null) {
		UninstallApp "$PatternBloatware1"
		$Bloatwares1.FlatStyle = $FlatButton
	} else {
		ReinstallApp "$PatternBloatware1"
		$Bloatwares1.FlatStyle = $PopButton
	}
	$Bloatwares1.Cursor = $HandCursor
	# OpenStartMenu
})
$SEL = Get-Content .\all.txt | Select-String "$PatternBloatware1"
if ($SEL -eq $null) {
	$Bloatwares1.Text = "$NameBloatware1"
	$Bloatwares1.Enabled = $false
	$Bloatwares1.Image = $DefaultImage
}
$SEL = Get-Content .\current.txt | Select-String "$PatternBloatware1"
if ($SEL -eq $null) {
	$Bloatwares1.FlatStyle = $FlatButton
} else {
	$Bloatwares1.FlatStyle = $PopButton
}



$Features1 = New-Object System.Windows.Forms.Button
$Features1.Location = $LocationFeatures1
$Features1.Size = $SizeFeatures1
$Features1.BackgroundImage = $ImageFeatures1
$Features1.BackgroundImageLayout = "Zoom"
$Features1.Add_Click({
	$Features1.Cursor = $WaitCursor
	Remove-WindowsCapability -online -name App.Support.QuickAssist~~~~0.0.1.0
	$Features1.Cursor = $HandCursor
	# OpenStartMenu
})



$ButtonOptions1 = New-Object System.Windows.Forms.Button
$ButtonOptions1.Location = $R10C1
$ButtonOptions1.Size = $DefaultDrawingSize
$ButtonOptions1.Text = "Windows Start Menu"
$ButtonOptions1.Image = $DefaultImage
$ButtonOptions1.BackgroundImageLayout = "Zoom"
$ButtonOptions1.Add_Click({ OpenStartMenu })
$ButtonOptions1.Cursor = $HandCursor

$ButtonOptions2 = New-Object System.Windows.Forms.Button
$ButtonOptions2.Location = $R10C2
$ButtonOptions2.Size = $DefaultDrawingSize
$ButtonOptions2.Text = "Restart Explorer"
$ButtonOptions2.Image = $DefaultImage
$ButtonOptions2.BackgroundImageLayout = "Zoom"
$ButtonOptions2.Add_Click({ KillExplorer; StartExplorer })

$ButtonOptions3 = New-Object System.Windows.Forms.Button
$ButtonOptions3.Location = $R10C3
$ButtonOptions3.Size = $DefaultDrawingSize
$ButtonOptions3.Text = "Redraw"
$ButtonOptions3.Image = $DefaultImage
$ButtonOptions3.BackgroundImageLayout = "Zoom"
$ButtonOptions3.Add_Click({ Redraw })
$ButtonOptions3.Enabled = $false

$ButtonOptions4 = New-Object System.Windows.Forms.Button
$ButtonOptions4.Location = $R10C4
$ButtonOptions4.Size = $DefaultDrawingSize
$ButtonOptions4.Text = "Currently Installed"
$ButtonOptions4.Image = $DefaultImage
$ButtonOptions4.BackgroundImageLayout = "Zoom"
$ButtonOptions4.Add_Click({
	$ButtonOptions4.Cursor = $WaitCursor
	$HostName = [System.Net.Dns]::GetHostName()
	$CurrentUserAppTextFile = $PSScriptRoot + "\test_currentuser_" + $HostName + ".txt"
	& cmd /c del .\test.txt
	Get-AppxPackage | ft Name -AutoSize | Out-File -FilePath .\test.txt
	& cmd /c `"del $CurrentUserAppTextFile`"
	move test.txt $CurrentUserAppTextFile
	$AllUserAppTextFile = $PSScriptRoot + "\test_alluser_" + $HostName + ".txt"
	& cmd /c del .\test.txt
	Get-AppxPackage -AllUsers | ft Name -AutoSize | Out-File -FilePath .\test.txt
	& cmd /c `"del $AllUserAppTextFile`"
	move test.txt $AllUserAppTextFile
	& notepad.exe $CurrentUserAppTextFile
	$ButtonOptions4.Cursor = $HandCursor
})

$ButtonOptions5 = New-Object System.Windows.Forms.Button
$ButtonOptions5.Location = $R10C5
$ButtonOptions5.Size = $DefaultDrawingSize
$ButtonOptions5.Text = "Reinstall Defaults"
$ButtonOptions5.Image = $DefaultImage
$ButtonOptions5.BackgroundImageLayout = "Zoom"
$ButtonOptions5.Add_Click({
	$ButtonOptions5.Cursor = $WaitCursor
	KillExplorer
	ReinstallApp ""
	StartExplorer
	$ButtonOptions5.Cursor = $HandCursor
	OpenStartMenu
})

$ButtonOptions6 = New-Object System.Windows.Forms.Button
$ButtonOptions6.Location = $R10C6
$ButtonOptions6.Size = $DefaultDrawingSize
$ButtonOptions6.Text = "Uninstall Everything"
$ButtonOptions6.Image = $DefaultImage
$ButtonOptions6.BackgroundImageLayout = "Zoom"
$ButtonOptions6.Add_Click({
	$ButtonOptions6.Cursor = $WaitCursor
	KillExplorer
	UninstallApp ""
	StartExplorer
	$ButtonOptions6.Cursor = $HandCursor
	OpenStartMenu
})

$ButtonOptions7 = New-Object System.Windows.Forms.Button
$ButtonOptions7.Location = $R10C7
$ButtonOptions7.Size = $DefaultDrawingSize
$ButtonOptions7.Text = "Reload"
$ButtonOptions7.Image = $DefaultImage
$ButtonOptions7.BackgroundImageLayout = "Zoom"
$ButtonOptions7.Add_Click({
	$ButtonOptions7.Cursor = $WaitCursor
	ReloadPowerShellFile
	$ButtonOptions7.Cursor = $HandCursor
})

$ButtonOptions8 = New-Object System.Windows.Forms.Button
$ButtonOptions8.Location = $R10C8
$ButtonOptions8.Size = $DefaultDrawingSize
$ButtonOptions8.Image = $DefaultImage
$ButtonOptions8.BackgroundImageLayout = "Zoom"
if (!([Security.Principal.WindowsPrincipal][Security.Principal.WindowsIdentity]::GetCurrent()).IsInRole([Security.Principal.WindowsBuiltInRole] "Administrator")) {
	$ButtonOptions8.Text = "Become Admin"
	$ButtonOptions8.Add_Click({
	$Bloatwares1.FlatStyle = $FlatButton
		$DefaultForm.Cursor = $WaitCursor
		Start-Process powershell.exe "-Windowstyle Hidden -NoProfile -ExecutionPolicy Bypass -File `"$PSCommandPath`"" -Verb RunAs
		[environment]::exit(0)
	})
	$ButtonOptions8.FlatStyle = $PopButton
	$ButtonOptions8.Cursor = $HandCursor
} else {
	$ButtonOptions8.FlatStyle = $FlatButton
	$ButtonOptions8.Enabled = $false
	$ButtonOptions8.Text = "Already Admin"
	$ButtonOptions8.Cursor = $NoCursor
}

$ButtonOptions9 = New-Object System.Windows.Forms.Button
$ButtonOptions9.Location = $R10C9
$ButtonOptions9.Size = $DefaultDrawingSize
$ButtonOptions9.Text = "Exit"
$ButtonOptions9.Image = $DefaultImage
$ButtonOptions9.BackgroundImageLayout = "Zoom"
$ButtonOptions9.Add_Click({
	$ButtonOptions9.Cursor = $WaitCursor
	[environment]::exit(0)
})

$DefaultForm.Controls.Add($DefaultGroupBox)

$DefaultGroupBox.Controls.Add($ButtonApp1)
$DefaultGroupBox.Controls.Add($ButtonApp2)
$DefaultGroupBox.Controls.Add($ButtonApp3)
$DefaultGroupBox.Controls.Add($ButtonApp4)
$DefaultGroupBox.Controls.Add($ButtonApp5)
$DefaultGroupBox.Controls.Add($ButtonApp6)
$DefaultGroupBox.Controls.Add($ButtonApp7)
$DefaultGroupBox.Controls.Add($ButtonApp8)
$DefaultGroupBox.Controls.Add($ButtonApp9)
$DefaultGroupBox.Controls.Add($ButtonApp10)
$DefaultGroupBox.Controls.Add($ButtonApp11)
$DefaultGroupBox.Controls.Add($ButtonApp12)
$DefaultGroupBox.Controls.Add($ButtonApp13)
$DefaultGroupBox.Controls.Add($ButtonApp14)
$DefaultGroupBox.Controls.Add($ButtonApp15)
$DefaultGroupBox.Controls.Add($ButtonApp16)
$DefaultGroupBox.Controls.Add($ButtonApp17)
$DefaultGroupBox.Controls.Add($ButtonApp18)
$DefaultGroupBox.Controls.Add($ButtonApp19)
$DefaultGroupBox.Controls.Add($ButtonApp20)
$DefaultGroupBox.Controls.Add($ButtonApp21)
$DefaultGroupBox.Controls.Add($ButtonApp22)
$DefaultGroupBox.Controls.Add($ButtonApp23)
$DefaultGroupBox.Controls.Add($ButtonApp23)
$DefaultGroupBox.Controls.Add($ButtonApp24)
$DefaultGroupBox.Controls.Add($ButtonApp25)
$DefaultGroupBox.Controls.Add($ButtonApp26)
$DefaultGroupBox.Controls.Add($ButtonApp27)
$DefaultGroupBox.Controls.Add($ButtonApp28)
$DefaultGroupBox.Controls.Add($ButtonApp30)
$DefaultGroupBox.Controls.Add($ButtonApp31)
$DefaultGroupBox.Controls.Add($ButtonApp32)
$DefaultGroupBox.Controls.Add($ButtonApp33)
$DefaultGroupBox.Controls.Add($ButtonApp34)
$DefaultGroupBox.Controls.Add($ButtonApp35)
$DefaultGroupBox.Controls.Add($ButtonApp36)
$DefaultGroupBox.Controls.Add($ButtonApp37)
$DefaultGroupBox.Controls.Add($ButtonApp38)
$DefaultGroupBox.Controls.Add($ButtonApp39)
$DefaultGroupBox.Controls.Add($ButtonApp40)
$DefaultGroupBox.Controls.Add($ButtonApp42)
$DefaultGroupBox.Controls.Add($ButtonApp43)

$ButtonApp1.Cursor = $HandCursor
$ButtonApp2.Cursor = $HandCursor
$ButtonApp3.Cursor = $HandCursor
$ButtonApp4.Cursor = $HandCursor
$ButtonApp5.Cursor = $HandCursor
$ButtonApp6.Cursor = $HandCursor
$ButtonApp7.Cursor = $HandCursor
$ButtonApp8.Cursor = $HandCursor
$ButtonApp9.Cursor = $HandCursor
$ButtonApp10.Cursor = $HandCursor
$ButtonApp11.Cursor = $HandCursor
$ButtonApp12.Cursor = $HandCursor
$ButtonApp13.Cursor = $HandCursor
$ButtonApp14.Cursor = $HandCursor
$ButtonApp15.Cursor = $HandCursor
$ButtonApp16.Cursor = $HandCursor
$ButtonApp17.Cursor = $HandCursor
$ButtonApp18.Cursor = $HandCursor
$ButtonApp19.Cursor = $HandCursor
$ButtonApp20.Cursor = $HandCursor
$ButtonApp21.Cursor = $HandCursor
$ButtonApp22.Cursor = $HandCursor
$ButtonApp23.Cursor = $HandCursor
$ButtonApp23.Cursor = $HandCursor
$ButtonApp24.Cursor = $HandCursor
$ButtonApp25.Cursor = $HandCursor
$ButtonApp26.Cursor = $HandCursor
$ButtonApp27.Cursor = $HandCursor
$ButtonApp28.Cursor = $HandCursor
$ButtonApp30.Cursor = $HandCursor
$ButtonApp31.Cursor = $HandCursor
$ButtonApp32.Cursor = $HandCursor
$ButtonApp33.Cursor = $HandCursor
$ButtonApp34.Cursor = $HandCursor
$ButtonApp35.Cursor = $HandCursor
$ButtonApp36.Cursor = $HandCursor
$ButtonApp37.Cursor = $HandCursor
$ButtonApp38.Cursor = $HandCursor
$ButtonApp39.Cursor = $HandCursor
$ButtonApp40.Cursor = $HandCursor
$ButtonApp42.Cursor = $HandCursor
$ButtonApp43.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($Extensions1)
$DefaultGroupBox.Controls.Add($Extensions2)
$DefaultGroupBox.Controls.Add($Extensions3)
$DefaultGroupBox.Controls.Add($Extensions4)
$DefaultGroupBox.Controls.Add($Extensions5)

$ButtonExtra1.Cursor = $HandCursor
$ButtonExtra2.Cursor = $HandCursor
$ButtonExtra3.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($ButtonExtra1)
$DefaultGroupBox.Controls.Add($ButtonExtra2)
$DefaultGroupBox.Controls.Add($ButtonExtra3)

$Extensions1.Cursor = $HandCursor
$Extensions2.Cursor = $HandCursor
$Extensions3.Cursor = $HandCursor
$Extensions4.Cursor = $HandCursor
$Extensions5.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($reload)

$reload.Cursor = $HandCursor

$ButtonBloatwares1.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($Bloatwares1)

$DefaultGroupBox.Controls.Add($Features1)

$ButtonFeatures1.Cursor = $HandCursor

$DefaultGroupBox.Controls.Add($ButtonOptions1)
$DefaultGroupBox.Controls.Add($ButtonOptions2)
$DefaultGroupBox.Controls.Add($ButtonOptions3)
$DefaultGroupBox.Controls.Add($ButtonOptions4)
$DefaultGroupBox.Controls.Add($ButtonOptions5)
$DefaultGroupBox.Controls.Add($ButtonOptions6)
$DefaultGroupBox.Controls.Add($ButtonOptions7)
$DefaultGroupBox.Controls.Add($ButtonOptions8)
$DefaultGroupBox.Controls.Add($ButtonOptions9)

$ButtonOptions1.Cursor = $HandCursor
$ButtonOptions2.Cursor = $HandCursor
$ButtonOptions3.Cursor = $HandCursor
$ButtonOptions4.Cursor = $HandCursor
$ButtonOptions5.Cursor = $HandCursor
$ButtonOptions6.Cursor = $HandCursor
$ButtonOptions7.Cursor = $HandCursor
$ButtonOptions8.Cursor = $HandCursor
$ButtonOptions9.Cursor = $HandCursor
 
# THANK YOU #

# https://stackoverflow.com/users/8523330/rokumaru #
# https://stackoverflow.com/users/6811411/lotpings #
# https://stackoverflow.com/questions/56502562/how-do-i-store-information-in-a-variable-name-that-contains-a-variable #

$DefaultForm.Add_Shown({$DefaultForm.Activate()})
[void] $DefaultForm.ShowDialog()